#!/bin/sh 

cmd=`basename $0`
DFS_RELEASE=$1
OS=`cat /etc/redhat-release | awk '{print $5}'`

if [ -z "$DFS_RELEASE" ]; then 
  echo "$cmd: No argument. Please enter $cmd <dfs-release>"
  echo "      Example:  $cmd dfs-7.2.2"
  exit 1
fi

cd /opt
tar cvf -  \
./dfs/admin/installBoot.sh \
./dfs/bin/dfs-launch \
./dfs/bin/show-olas \
./dfs/bin/dbrcGet \
./dfs/bin/olas-startup \
./dfs/admin/dataflowUser.sh \
./dfs/bin/cleanup-vcsolac \
./dfs/bin/show-vcsolac \
./dfs/bin/start-vcsolac \
./dfs/bin/vcsolac \
./dfs/bin/fitsVerify \
./dfs/bin/vcsolacControl \
./dfs/bin/sendFiles \
./dfs/bin/dfschecklib.sh \
./dfs/bin/vcsolac_test.sh \
./dfs/boot/vcsolac.sh \
./dfs/share/man/man1/vcsolac.1 \
./dfs/share/man/man1/vcsolacControl.1 \
./dfs/share/man/man1/fitsVerify.1 \
./dfs/admin/README_vcsolac.doc \
./dfs/data/SYSTEM/fvDictionary/FV-DIC.TEST \
./dfs/lib/libolas.so.* \
./dfs/lib/libarcOro.so.*  \
./dfs/lib/libutilCat.so.* \
./dfs/lib/libutilFits.so.*  \
./dfs/lib/libstcrypt.so.* \
./dfs/lib/liblog.so.*  \
./dfs/lib/libDfsStd.so.* \
./dfs/lib/libsybconn.so.* \
 | gzip > /tmp/$DFS_RELEASE-secondary-SL-$OS.tar.gz

if [ $? -eq 0 ];then
 echo "File: /tmp/$DFS_RELEASE-secondary-SL-$OS.tar.gz created"
fi 
