#******************************************************************************
# ESO/DMD
#
# "@(#) $Id: ngamsDb.py,v 1.292 2006/07/14 15:24:14 jknudstr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  03/02/2006  Created
#

"""
Front-end class for the DB access module. It loads all DB sub-modules needed
to expose only one class (module) to the rest of the SW.
"""

from ngams import *
from ngamsDbBase import *


class ngamsDb(ngamsDbBase):
    """
    Class to handle the connection to the NGAS DB for the Sybase interface.
    """
  
    def __init__(self,
                 server,
                 db,
                 user,
                 password,
                 createSnapshot = 1,
                 interface = "ngamsSybase",
                 tmpDir="/tmp"):
        """
        Constructor method.

        server:          DB server name (string).

        db:              DB name (string).
        
        user:            DB user (string).
        
        password:        DB password (string).

        createSnapshot:  Indicates if a DB Snapshot (temporary snapshot
                         files) should be created (integer/0|1).

        interface:       NG/AMS DB Interface Plug-In (string).
        
        tmpDir:          Name of NGAS Temporary Directory (string).
        """
        ngamsDbBase.__init__(self, server, db, user, password, createSnapshot,
                             interface, tmpDir)
    
# EOF
